Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.dependency
Class VulnerabilityComparator

    java.lang.Object
      org.owasp.dependencycheck.dependency.VulnerabilityComparator

All Implemented Interfaces:
  Serializable, Comparator<Vulnerability>

    public class VulnerabilityComparator

extends Object
implements Comparator<Vulnerability>, Serializable

Comparator for Vulnerability objects.

Author:
  Jeremy Long (jeremy.long@owasp.org)
See Also:
  Serialized Form

Constructor Summary
`VulnerabilityComparator()`

Method Summary
`int` | `compare(Vulnerability o1, Vulnerability o2)` Implements the comparison of vulnerabilities.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### VulnerabilityComparator

    public VulnerabilityComparator()

Method Detail

### compare

    public int compare(Vulnerability o1,
                       Vulnerability o2)

  Implements the comparison of vulnerabilities.

  Specified by:
    `compare` in interface `Comparator<Vulnerability>`
  Parameters:
    `o1` - a vulnerability
    `o2` - a second vulnerability
  Returns:
    the comparison

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.